Public Class Form1

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim Текст As String = TextBox1.Text
        Dim Длинна(Текст.Split().Length - 1) As String
        For I As Integer = 0 To Текст.Split().Length - 1
            Длинна(I) = Текст.Split()(I).Distinct.ToArray
        Next
        TextBox1.Text = Join(Длинна)
    End Sub
End Class
